summaryrefslogtreecommitdiffstats
path: root/debian/squeeze/tdebase/debian/kdm-trinity.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/squeeze/tdebase/debian/kdm-trinity.prerm')
-rw-r--r--debian/squeeze/tdebase/debian/kdm-trinity.prerm30
1 files changed, 15 insertions, 15 deletions
diff --git a/debian/squeeze/tdebase/debian/kdm-trinity.prerm b/debian/squeeze/tdebase/debian/kdm-trinity.prerm
index 640da5602..1ca8de60e 100644
--- a/debian/squeeze/tdebase/debian/kdm-trinity.prerm
+++ b/debian/squeeze/tdebase/debian/kdm-trinity.prerm
@@ -1,5 +1,5 @@
#! /bin/sh
-# prerm script for kdm-trinity
+# prerm script for tdm-trinity
#
# see: dh_installdeb(1)
@@ -24,14 +24,14 @@ if [ -e /usr/share/debconf/confmodule ]; then
fi
case "$1" in
- # we NEVER want to unconditionally stop kdm; see below
+ # we NEVER want to unconditionally stop tdm; see below
upgrade|failed-upgrade)
REMOVING=
;;
remove|deconfigure)
REMOVING=yes
- rm -f /etc/init.d/kdm-trinity
+ rm -f /etc/init.d/tdm-trinity
;;
*)
@@ -41,14 +41,14 @@ case "$1" in
esac
STOP=
-# are we supposed to restart on upgrade? if REMOVING kdm, we don't care what
+# are we supposed to restart on upgrade? if REMOVING tdm, we don't care what
# the user says, we have to stop the daemon
-if grep -qs ^restart-on-upgrade /etc/trinity/kdm/kdm.options ||
+if grep -qs ^restart-on-upgrade /etc/trinity/tdm/tdm.options ||
[ -n "$REMOVING" ]; then
- # is there an kdm process running?
- if start-stop-daemon --stop --quiet --signal 0 --name kdm-trinity; then
+ # is there an tdm process running?
+ if start-stop-daemon --stop --quiet --signal 0 --name tdm-trinity; then
# any children?
- PARENTS=$(pidof /usr/bin/kdm-trinity || true)
+ PARENTS=$(pidof /usr/bin/tdm-trinity || true)
CHILDREN=
if [ -n "$PARENTS" ]; then
for PROCESS in $PARENTS; do
@@ -65,11 +65,11 @@ if grep -qs ^restart-on-upgrade /etc/trinity/kdm/kdm.options ||
if [ -n "$CHILDREN" ]; then
if [ -n "$HAVE_DEBCONF" ]; then
# ask the question
- db_input high kdm/stop_running_server_with_children || true
+ db_input high tdm/stop_running_server_with_children || true
db_go
# what did the user say?
ANSWER=
- if db_get kdm/stop_running_server_with_children; then
+ if db_get tdm/stop_running_server_with_children; then
ANSWER="$RET"
fi
if [ "$ANSWER" = "true" ]; then
@@ -77,7 +77,7 @@ if grep -qs ^restart-on-upgrade /etc/trinity/kdm/kdm.options ||
fi
# forget that we have seen the question; this is the sort of
# non-configuration question that should be asked every time
- db_fset kdm/stop_running_server_with_children seen false
+ db_fset tdm/stop_running_server_with_children seen false
fi
else
STOP=yes
@@ -88,13 +88,13 @@ fi
if [ -n "$STOP" ]; then
if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
- invoke-rc.d kdm-trinity stop || true
+ invoke-rc.d tdm-trinity stop || true
else
- /etc/init.d/kdm-trinity stop || true
+ /etc/init.d/tdm-trinity stop || true
fi
else
if [ "$1" = "upgrade" -o "$1" = "failed-upgrade" ]; then
- touch /var/run/kdm-trinity.upgrade
+ touch /var/run/tdm-trinity.upgrade
fi
fi
@@ -117,7 +117,7 @@ if [ "$1" = "remove" -o "$1" = "deconfigure" ]; then
fi
# are we removing the currently selected display manager?
if [ -n "$DEFAULT_DISPLAY_MANAGER" ]; then
- if [ "kdm-trinity" = "$DEFAULT_DISPLAY_MANAGER" ]; then
+ if [ "tdm-trinity" = "$DEFAULT_DISPLAY_MANAGER" ]; then
if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
if db_get "$DEFAULT_DISPLAY_MANAGER/daemon_name"; then
# does the display manager file reference the current default? if